Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class BiomeCacheBlock

    java.lang.Object
      net.minecraft.src.BiomeCacheBlock

    public class BiomeCacheBlock

extends Object

Field Summary
`BiomeGenBase[]` | `biomes` The array of biome types stored in this BiomeCacheBlock.
`long` | `lastAccessTime` The last time this BiomeCacheBlock was accessed, in milliseconds.
`float[]` | `rainfallValues` An array of chunk rainfall values saved by this cache.
`float[]` | `temperatureValues` An array of chunk temperatures saved by this cache.
`int` | `xPosition` The x coordinate of the BiomeCacheBlock.
`int` | `zPosition` The z coordinate of the BiomeCacheBlock.

Constructor Summary
`BiomeCacheBlock(BiomeCache par1BiomeCache, int par2, int par3)`

Method Summary
`BiomeGenBase` | `getBiomeGenAt(int par1, int par2)` Returns the BiomeGenBase related to the x, z position from the cache block.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### temperatureValues

    public float[] temperatureValues

  An array of chunk temperatures saved by this cache.

### rainfallValues

    public float[] rainfallValues

  An array of chunk rainfall values saved by this cache.

### biomes

    public BiomeGenBase[] biomes

  The array of biome types stored in this BiomeCacheBlock.

### xPosition

    public int xPosition

  The x coordinate of the BiomeCacheBlock.

### zPosition

    public int zPosition

  The z coordinate of the BiomeCacheBlock.

### lastAccessTime

    public long lastAccessTime

  The last time this BiomeCacheBlock was accessed, in milliseconds.

Constructor Detail

### BiomeCacheBlock

    public BiomeCacheBlock(BiomeCache par1BiomeCache,
                           int par2,
                           int par3)

Method Detail

### getBiomeGenAt

    public BiomeGenBase getBiomeGenAt(int par1,
                                      int par2)

  Returns the BiomeGenBase related to the x, z position from the cache block.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD